<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/tools/CameraTools.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d62/_camera_tools_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CameraTools.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d62/_camera_tools_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifdef DEVELOPER</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="keyword">class </span>CameraToolsMenuServer</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Man&gt;</a> m_Subscribers = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Man&gt;</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#aa9a0604c3c6c4896ff72498ca55e47a9">OnRPC</a>(<span class="keywordtype">int</span> rpc_type, <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx)</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <span class="keywordflow">if</span> (rpc_type == <a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.DEV_CAMERA_TOOLS_CAM_DATA)</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>            Param4&lt;vector, vector,float,float&gt; p4 = <span class="keyword">new</span> Param4&lt;vector, vector,float,float&gt;(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>,0,0);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>            <span class="keywordflow">if</span> (ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(p4))</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>            {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>                <span class="keywordflow">foreach</span> (<span class="keywordtype">int</span> index, Man p:m_Subscribers)</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>                {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>                    <span class="keywordflow">if</span> (p)</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>                    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>                        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">RPCSingleParam</a>(p, <a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.DEV_CAMERA_TOOLS_CAM_DATA, p4, <span class="keyword">true</span>, p.GetIdentity());</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>                    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>                    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>                        m_Subscribers.Remove(index);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>                    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>                }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (rpc_type == <a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.DEV_CAMERA_TOOLS_CAM_SUBSCRIBE)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_class" href="../../d2/d04/class_param2.html">Param2&lt;bool, Man&gt;</a> par2 = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d04/class_param2.html">Param2&lt;bool, Man&gt;</a>(<span class="keyword">false</span>,null);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordflow">if</span> (ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(par2))</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                <span class="keywordtype">bool</span> enable = par2.param1;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                Man player = par2.param2;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                <span class="keywordtype">bool</span> found = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                <span class="keywordflow">foreach</span> (<span class="keywordtype">int</span> i, Man m:m_Subscribers)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                    <span class="keywordflow">if</span> (m == player)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                        <span class="keywordflow">if</span> (!enable)</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                        {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                            m_Subscribers.Remove(i);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                        }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                        found = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                        m_Subscribers[i] = player;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <span class="keywordflow">if</span> (!found &amp;&amp; enable)<span class="comment">//not found in the array, insert it</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                    m_Subscribers.Insert(player);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>};</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="keyword">class </span>CameraToolsMenuClient</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>{</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ace9e19b79d69c9048da73614612d81dd">m_DebugShape</a> = null;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="keywordtype">void</span> ~CameraToolsMenuClient()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ace9e19b79d69c9048da73614612d81dd">m_DebugShape</a>)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ace9e19b79d69c9048da73614612d81dd">m_DebugShape</a>.Destroy();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="keywordtype">void</span> DelayedDestroy()</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">GetCallQueue</a>( <a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a> ).<a class="code hl_function" href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">CallLater</a>( DestroyNow, 2000);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="keywordtype">void</span> DestroyNow()</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keyword">delete</span> <span class="keyword">this</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#aa9a0604c3c6c4896ff72498ca55e47a9">OnRPC</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ace9e19b79d69c9048da73614612d81dd">m_DebugShape</a>)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ace9e19b79d69c9048da73614612d81dd">m_DebugShape</a>.Destroy();</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ace9e19b79d69c9048da73614612d81dd">m_DebugShape</a> = null;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        Param4&lt;vector, vector,float,float&gt; p4 = <span class="keyword">new</span> Param4&lt;vector, vector,float,float&gt;(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>,0,0);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">if</span> ( ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>( p4 ) )</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos = p4.param1;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> dir = p4.param2;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <span class="keywordtype">float</span> plane = p4.param3;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <span class="keywordtype">float</span> fov = p4.param4 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">RAD2DEG</a>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ace9e19b79d69c9048da73614612d81dd">m_DebugShape</a> = <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a9af057683c98fa1c28c023af5d90b00a">DrawFrustum</a>(fov, 30, 0.5);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mat[4];</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <a class="code hl_class" href="../../d5/dc8/group___math3_d_a_p_i.html#da/d94/class_math3_d">Math3D</a>.<a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#gadc0f4c14d0d19116af8987e5f6b15dcd">DirectionAndUpMatrix</a>(dir,<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#ac187fd4c6a90da92d88737f963b03d6d">Up</a>,mat);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            mat[3] = pos;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ace9e19b79d69c9048da73614612d81dd">m_DebugShape</a>.SetMatrix(mat);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>};</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_ace9e19b79d69c9048da73614612d81dd"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ace9e19b79d69c9048da73614612d81dd">m_DebugShape</a></div><div class="ttdeci">Shape m_DebugShape</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00016">BleedingSource.c:16</a></div></div>
<div class="ttc" id="a_day_z_game_8c_html_aa9a0604c3c6c4896ff72498ca55e47a9"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#aa9a0604c3c6c4896ff72498ca55e47a9">OnRPC</a></div><div class="ttdeci">override void OnRPC(PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l02540">DayZGame.c:2540</a></div></div>
<div class="ttc" id="a_e_r_p_cs_8c_html_a6ce2d98a3b8fbdba5b450abf2d6eab37"><div class="ttname"><a href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a></div><div class="ttdeci">ERPCs</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d66/_e_r_p_cs_8c_source.html#l00001">ERPCs.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_a37e75fed7ec2e7935722caf9cc1c6fb9"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">CGame::RPCSingleParam</a></div><div class="ttdeci">void RPCSingleParam(Object target, int rpc_type, Param param, bool guaranteed, PlayerIdentity recipient=NULL)</div><div class="ttdoc">see CGame.RPC</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l00859">Game.c:859</a></div></div>
<div class="ttc" id="aclass_c_game_html_a53af342998a36596f46c4e67a2517f4e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">CGame::GetCallQueue</a></div><div class="ttdeci">ScriptCallQueue GetCallQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01318">Game.c:1318</a></div></div>
<div class="ttc" id="aclass_debug_html"><div class="ttname"><a href="../../da/d7d/class_debug.html">Debug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00013">Debug.c:14</a></div></div>
<div class="ttc" id="aclass_debug_html_a9af057683c98fa1c28c023af5d90b00a"><div class="ttname"><a href="../../da/d7d/class_debug.html#a9af057683c98fa1c28c023af5d90b00a">Debug::DrawFrustum</a></div><div class="ttdeci">static Shape DrawFrustum(float horizontalAngle, float verticalAngle, float length, int color=0x1fff7f7f, ShapeFlags flags=ShapeFlags.TRANSP|ShapeFlags.WIREFRAME)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00302">Debug.c:302</a></div></div>
<div class="ttc" id="aclass_param2_html"><div class="ttname"><a href="../../d2/d04/class_param2.html">Param2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d76/_p_p_e_constants_8c_source.html#l00066">PPEConstants.c:67</a></div></div>
<div class="ttc" id="aclass_script_call_queue_html_abe764b22b6eee91d169f3f5996fe0c3d"><div class="ttname"><a href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">ScriptCallQueue::CallLater</a></div><div class="ttdeci">proto void CallLater(func fn, int delay=0, bool repeat=false, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">adds call into the queue with given parameters and arguments (arguments are held in memory until the ...</div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="aclassvector_html_a6f6d5246e38b34f79fa2741a7e72d7e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector::Zero</a></div><div class="ttdeci">static const vector Zero</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00104">EnConvert.c:104</a></div></div>
<div class="ttc" id="aclassvector_html_ac187fd4c6a90da92d88737f963b03d6d"><div class="ttname"><a href="../../d7/dfc/classvector.html#ac187fd4c6a90da92d88737f963b03d6d">vector::Up</a></div><div class="ttdeci">static const vector Up</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00101">EnConvert.c:101</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_shape_html_gaf4344f1db5238ced76a52bf38cee2978"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a></div><div class="ttdeci">class DiagMenu Shape</div><div class="ttdoc">don't call destructor directly. Use Destroy() instead</div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_da/d94/class_math3_d"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#da/d94/class_math3_d">Math3D</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d4c/_en_math3_d_8c_source.html#l00027">EnMath3D.c:28</a></div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_gadc0f4c14d0d19116af8987e5f6b15dcd"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#gadc0f4c14d0d19116af8987e5f6b15dcd">Math3D::DirectionAndUpMatrix</a></div><div class="ttdeci">static proto void DirectionAndUpMatrix(vector dir, vector up, out vector mat[4])</div><div class="ttdoc">Creates rotation matrix from direction and up vector.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gad73851cb23a468ee6eb705d0ec76e141"><div class="ttname"><a href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">Math::RAD2DEG</a></div><div class="ttdeci">static const float RAD2DEG</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00016">EnMath.c:16</a></div></div>
<div class="ttc" id="agroup___tools_html_gaaf491f3ecd1d9aefb35a16bf96ca420c"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a></div><div class="ttdeci">const int CALL_CATEGORY_SYSTEM</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00008">tools.c:8</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_907fa993cde0429e91bf5998789740ad.html">tools</a></li><li class="navelem"><a class="el" href="../../df/d62/_camera_tools_8c.html">CameraTools.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
